Skip to content

ショップ関連ライブ配信リスト

概要

指定したショップに関連するライブ配信リストデータを取得します。

エンドポイント

bash
    POST /shop/v1/liveList

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyarrayいいえソートパラメータ
pageintegerいいえデフォルト: 1
pagesizeintegerいいえデフォルト: 10

filter オプション値

フィールド必須説明
seller_idstringいいえショップID
creator_uidstringいいえショップに関連するクリエイターUID
creator_unique_idstringいいえショップに関連するユニーククリエイターID: @xxxxxxx
seller_namestringいいえショップ名
regionstringいいえショップの国/地域

seller_nameregion は同時に指定する必要があります

orderby オプション値

フィールド必須説明
start_timeいいえ開始時間
product_countいいえライブルームの商品数
total_user_countいいえ総視聴者数
units_soldいいえ販売数
gmvいいえ売上金額(GMV)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/shop/v1/liveList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495500842223700917",
        # "creator_uid": "6913013214088004614",
        # "creator_unique_id": "caffeinecandleschaos",

        # "seller_name": "Caffeine, Candles & Chaos",
        # "region": "US",
    },
    "orderby": [{
        "field": "start_time",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "product_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "total_user_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "units_sold",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.list

フィールド説明
titlestringライブルームのタイトル
room_idstringライブルームID
seller_idstringショップID
uidstringショップに関連するクリエイターUID
coverstringカバー画像URL
main_category_namestringメインプロモーションカテゴリ名
main_category_idintメインプロモーションカテゴリID
start_timeint開始時間
units_soldint販売数
gmvfloat売上金額(GMV)
product_countintライブルームの商品数
total_userint総視聴者数
durationintライブ配信時間(秒)
max_user_countint最大同時視聴者数
inc_follower_countintフォロワー増加数
share_countintシェア数
is_liveint現在配信中かどうか
live_typeintライブタイプ 1: ショップライブ 2: 個人ライブ
creatorobject関連クリエイター情報

data.list.creator

フィールド説明
uidstringユーザーID
nicknamestringユーザーニックネーム
unique_idstringユーザーのユニークID
avatarstringユーザーのアバターURL
regionstringユーザーの国/地域
follower_countintユーザーのフォロワー数
category_idintユーザーのカテゴリID
category_namestringユーザーのカテゴリ名

data.total

フィールド説明
totalstring総レコード数

レスポンス例

json
{
  "code": 0,
  "data": {
    "total": 11943,
    "list": [
      {
        "title": "Food and snacks",
        "room_id": "7539139975317703438",
        "cover": "https://s.500fd.com/tt_live/7411364270883588910~tplv-obj.image",
        "main_category_id": 24,
        "main_category_name": "Food & Beverages",
        "creator": {
          "uid": "73083231876554752",
          "avatar": "https://s.500fd.com/tt_author/5aa17bc74b4fd2b91ae364d2a2c6e4d6~tplv-tiktokx-cropcenter:1080:1080.jpeg",
          "region": "US",
          "nickname": "Courtney Luper 🗝️✨",
          "unique_id": "courtneyluper",
          "follower_count": 17183,
          "category_id": 5,
          "category_name": "Food & Beverage"
        },
        "start_time": 1755343248,
        "units_sold": 1939,
        "gmv": 4253.69,
        "product_count": 99,
        "total_user": 84333,
        "duration": 37159,
        "max_user_count": 430,
        "inc_follower_count": 243,
        "share_count": 188,
        "is_live": 0,
        "live_type": 2
      }
    ]
  },
  "message": "success",
  "timestamp": 1773751121,
  "request_id": "76d984e2-e0f8-d04c-dc2d-c1fc9a18ffda"
}